﻿html {
    background-color: black;
}

body {
    font-family: "Lexend", sans-serif;
    font-weight:500;
    font-size: 16px;
    line-height: 1.6;
    color: #ffffff;
    text-align: center;
    overflow-x: hidden;
}

span {
    font-family: "Lexend", sans-serif;
}

form {
    font-family: "Lexend", sans-serif;
}

.section p {
    text-align: center;
}

button {
    font-family: "Lexend", sans-serif;
}

#background {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-size: cover;
    z-index: -1;
}

.logo {
    font-size: 35px;
    padding-inline: 100px;
    font-weight: bold;
}

a:link {
    color: white;
    background-color: transparent;
    text-decoration: none;
}

a:visited {
    color: white;
    background-color: transparent;
    text-decoration: none;
}

a:hover {
    color: white;
    background-color: transparent;
    text-decoration: underline;
}

a:active {
    color: rgb(255,255,255,0.5);
    background-color: transparent;
    text-decoration: underline;
}

nav ul {
    color: black;
    display: flex;
    justify-content: flex-end;
    list-style: none;
    margin: 0;
    padding: 0;
}

nav li {
    margin-left: 20px;
}

nav a {
    text-decoration: none;
}

h1 {
    font-size: 33px;
    margin-bottom: 20px;
}

h2 {
    font-weight: bold;
    margin-bottom: 35px;
    margin-top: 20px;
    font-size: 23px;
}

p {
    font-size: 16px;
    margin-bottom: 0;
    color: black;
}

sub {
    font-size: 18px;
    margin-bottom: 0;
    color: rgb(234, 61, 126);
}

li {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
    line-height: 1.4;
    text-align: justify;
}

    li.alt-list {
        margin-left:20px;
    }

    img {
        display: block;
        margin: 0 auto;
        max-width: 100%;
    }

.section {
    position: relative;
}

.section-1 {
    position: absolute;
    width: 100vw;
    height: 92vh;
    z-index: 1;
    top: 0;
    left: 0;
    overflow-x: clip;
}

    .section-1 p {
        font-size: 23px;
        color: white
    }

    .section-1 h1 {
        margin-bottom: 50px;
    }

#section-1-container {
    width: 80vw;
    height:80vh;
    margin-left: auto;
    margin-right: auto;
    padding-top: 10vh;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.section-2 {
    position: absolute;
    display: flex;
    width: 100vw;
    flex-direction: column;
    top: 0;
    z-index: 2;
    overflow: hidden;
    left: 0;
    padding-top: 94vh;
}

#section-2-background {
    z-index: -1;
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    background-image: linear-gradient(200deg, rgba(255, 210, 225, 0) 25%, rgb(255, 210, 225, 1) 80%), linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0) 95vh, rgb(255, 255, 255, 1) 120vh);
}

.background-image{
    width:auto;
    height:auto;
    position:absolute;
}

.background-lines {
    top: 0;
    left: 0;
}

.background-grid {
    bottom: 0;
    right: 0;
}

.icon {
    width: 60px;
    height: 60px;
}


.block {
    padding-top:35px;
    width: 1350px;
    max-width: 97vw;
    align-self: center;
    position: static;
    color: black;
    outline: 4px solid white;
    box-shadow: -100px -100px 500px rgb(255, 210, 225, 0.5);
    padding-bottom: 20px;
    margin-bottom: 130px;
    max-width: 100vw;
}

#block-1 {
    transition: ease-in-out box-shadow, background-color 0.75s;
    box-shadow: 0 -10px 1400px transparent;
    background-color: transparent;
    padding-bottom: 0;
    margin-bottom: 0;
}

    #block-1.notScrolledTo {
        box-shadow: 0 -10px 1400px white;
        background-color: white;
    }

    #block-1 .text-container{
        width:80%;
        margin-inline:auto;
    }

    .button-container {
        width: 95%;
        left: 2.5%;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        color: black;
    }

.block-3 {
    margin-top: 130px;
    padding-bottom: 32px;
}


.block-4 {
    padding-bottom: 100px;
    margin-bottom: 200px;
    position: static;
    text-align: center;
    align-content: center;
    flex-direction: column;
    display: flex;
}

#block-4 sub {
    z-index: 2;
}

header {
    background: rgba(0,0,0,0);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 30px;
    padding-right: 30px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 3;
    box-shadow: 0 0 150px rgba(255, 210, 225, 0.0);
    max-height: 15vh;
    overflow:hidden;
}

.header-image {
    align-self: center;
    display: block;
    margin: 40px auto;
    margin-bottom: 150px;
    height: 350px;
    max-height: 800px;
}

.header-text {
    padding-left: 60px;
    padding-top: 10vh;
}

.header-button-container {
    padding-top: 30px;
}

.header-button {
    font-size: 20px;
    color: white;
    font-weight: bold;
    position: relative;
    overflow: hidden;
    background-color: transparent;
    border: 0px none;
    padding: 20px 25px;
    transition: all 0.3s ease;
    border-bottom: 5px solid rgb(234, 61, 126);
    outline: none;
    white-space: nowrap;
}

    .header-button:hover {
        background-color: rgb(234, 61, 126);
        color: #000000;
        cursor: pointer;
        box-shadow: inset 0 0 0 4px rgba(255, 255, 255, 0);
    }

.hamburger {
    display:none;
}

#video-overlay {
    background-image: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 20%);
    background-color: rgba(0,0,0,0.75);
    position: absolute;
    top: 90%;
    left: 90%;
    transform: translate(-75%, -75%);
    width: 130%;
    height: 130%;
    object-fit: cover;
    z-index: -1;
}

.video-element {
    position: absolute;
    top: 90%;
    left: 90%;
    transform: translate(-75%, -75%);
    width: 130%;
    height: 130%;
    object-fit: cover;
    z-index: -2;
}

#video-element1 {
    opacity: 1;
    transition: opacity ease-in-out 0.7s;
}


#portfolio-container {
    z-index: 1;
    height: 0;
    transition: height 0.5s ease-in-out;
    width: 1825px;
    overflow: hidden;
    margin-inline: auto;
    background-color: #101014;
}

.loading-icon {
        display: none;
        position: absolute;
        width: 50px;
        margin-top: 238px;
        margin-left: 937.5px;
    }

#iframe-overlay {
    position: absolute;
    height: 0;
    width: 1825px;
    background-color: white;
    opacity: 1;
    overflow: hidden;
    z-index: 3;
    transition: height 0.5s ease-in-out;
    display: flex;
    flex-wrap: wrap;
    height: 0;
}

#iframe-container {
    border: 0px none;
    width: 200%;
    height: 1600px;
    transform-origin: 0 0;
    transform: scale(0.5);
    margin-top: -138px;
}

#iframe-overlay.portfolio-visible  {
    height: 526px;
}

#portfolio-container.portfolio-visible {
    height: 526px;
}

    #iframe-overlay button {
        width: 14.2857%;
        height: 50%;
        background-color: transparent;
        transition: ease-in-out all 0.3s;
        border: none;
        pointer-events: auto;
        outline: solid 1px transparent;
    }

        #iframe-overlay button:hover {
            background-color: rgba(16, 16, 20, 0.65);
            cursor: pointer;
            outline: solid 1px rgba(16, 16, 20, 0.65);
        }

    .table-container {
    display: flex;
    justify-content: center;
}


.list-container {
    width: 80%;
    min-width:1200px;
    position: relative;
    align-self: center;
        margin-inline:auto;
}

.horizontal-scroll-container {
    border-collapse: collapse;
    line-height: 0.9;
    overflow-x: auto;
    height: 660px;
    white-space: nowrap;
    display: flex;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    -ms-overflow-style: none; /* Internet Explorer 10+ */
    scrollbar-width: none; /* Firefox */
}

    .horizontal-scroll-container::-webkit-scrollbar {
        display: none; /* Safari and Chrome */
    }

        .horizontal-scroll-container {
    flex-direction: row; 
    align-items: flex-start;
}
            .horizontal-scroll-container li {
                color:rgb(234, 61, 126);
            }
                .horizontal-scroll-container sub {
        font-size: 17px;
        color:black;
    }

            .horizontal-scroll-container .list-box:nth-child(2n+2).scrolling {
                scroll-snap-align: none;
            }
            .horizontal-scroll-container .list-box:nth-child(2n+2) {
                scroll-snap-align: center;
            }

            .horizontal-scroll-container.scrolling {
                scroll-snap-type: none;
                scroll-behavior: unset;
            }



.list-box {
    margin-left: 4%;
    width: 25%;
    margin-right: 4%;
    text-align: center;
    opacity: 1;
    white-space: normal;
    display: inline-block;
    flex-shrink: 0;
    max-width: 28vw;
}

    .list-box ul {
        height: 140px;
        padding-top: 17px;
    }

.list-app-container {
    display: flex;
    justify-content: center;
    height: 80px;
}

    .list-app-container img {
        width: 40px;
        height: 40px;
        margin-inline: auto;
    }

    .list-app-container p {
        font-weight: bold;
        font-size: 14px;
        margin-top:10px;
        margin-bottom: 15px;
        line-height: 1.2;
        text-align: center;
    }

.list-app-divider {
    display: flex;
    justify-content: center;
    border-bottom: 3px solid black;
    width: 50%;
    height: 0;
    margin-top: 30px;
}

.list-app-wrapper{
    margin-inline:auto;
}

.list-text-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

    .list-text-container p {
        margin-bottom: 10px;
        display: block;
        line-height: 1.4;
        text-align: justify;
    }

.list-divider {
    height: 85%;
    margin-top: 0%;
    width: 1px;
    outline: solid white 3px;
    display: inline-block;
    margin-right: 90px;
    margin-left: 60px;
}

.list-arrow {
    position: absolute;
    background-color: black;
    width: 50px;
    height: 50px;
    border: 0px none;
    transition: 0.3s all ease-out;
    opacity:0.5;
}

    .list-arrow:hover {
        opacity:1;
        cursor:pointer;
    }


#list-arrow-left {
    top: 40%;
    left: 0;
    transform: translate(-100%, -50%);
    background: url(images/arrowLeft.png);
}

#list-arrow-right {
    top: 40%;
    right: 0;
    transform: translate(100%, -50%);
    background: url(images/arrowRight.png);
}

.list-arrow.disabled {
    pointer-events:none;
    opacity:0;
}

#list-arrow-alt{
    display:none;
    width:100%;
    height:100%;
    position:absolute;
    top:0;
    left:0;
    opacity:0;
    pointer-events:none;
    transition: opacity ease 0.4s;
}

    #list-arrow-alt.visible {
        opacity: 0.7;
    }

    .scroll-mark-container {
    width: 200px;
    height: 20px;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -100%);
    display: flex;
}

    .scroll-mark-container button {
        width: 20px;
        height: 20px;
        margin-inline: auto;
        border: 0px none;
        background-color: transparent;
    }

        .scroll-mark-container button img {
            width:10px;
            height:10px;
            transform: translate(-25%, -50%);
            position: absolute;
            transition: opacity ease-in-out 0.2s;
        }

        .scroll-mark-container button.highlighted img.scrollHighlighted {
            opacity:1
        }

        .scroll-mark-container button img.scrollHighlighted {
            opacity: 0
        }

        .scroll-mark-container button:nth-child(n+5) {
            display: none;
        }

.text-container {
    position: static;
    text-align: center;
    align-content: center;
    flex-direction: column;
    display: flex;
}

block-1 .text-container {
    width: 80%;
    margin-inline: auto;
}


#portfolio-button-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    margin-top: 20px;
    margin: 0 50px;
    transition: background-color 0.3s ease;
    text-align: center;
    height: 120px;
}

    #portfolio-button-container button {
        display: flex;
        font-size: 25px;
        color: white;
        font-weight: bold;
        position: relative;
        overflow: visible;
        background-color: black;
        border: 0px none;
        margin-right: 50px;
        margin-left: 50px;
        transition: all 0.3s ease;
        border-bottom: 10px solid rgb(234, 61, 126);
        outline: none;
        display: flex;
        justify-content: center;
        align-items: center;
        padding-inline: 50px;
        height:100%;
    }

        #portfolio-button-container button::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 110%;
            box-shadow: inset 0 0 0 8px rgb(234, 61, 126);
            transition: box-shadow 0.3s ease;
            opacity: 0;
            transition: opacity 0.5s ease;
        }

        #portfolio-button-container button:hover {
            background-color: rgb(234, 61, 126);
            color: #000000;
            cursor: pointer;
            box-shadow: inset 0 0 0 4px rgba(255, 255, 255, 0);
        }

            #portfolio-button-container button:hover::before {
                box-shadow: inset 0 0 0 4px rgba(255, 255, 255, 0);
                transition: box-shadow 0.3s ease;
            }

        #portfolio-button-container button:active {
            transition: all 0s;
            background-color: rgba(255, 255, 255, 1);
            color: #000000;
        }

        #portfolio-button-container button.outline-visible::before {
            opacity: 1;
            transition: opacity 0.5s ease;
        }

        #portfolio-button-container button.highlighted {
            background-color: rgb(234, 61, 126);
            color: #000000;
            box-shadow: inset 0 0 0 4px rgba(255, 255, 255, 0);
        }

        #portfolio-button-container button.highlighted:active {
            transition: all 0s;
            background-color: rgba(255, 255, 255, 1);
            color: #000000;
        }

        #portfolio-button-container button.hovered {
            background-color: white;
            color: black;
            box-shadow: inset 0 0 0 4px rgba(255, 255, 255, 0);
        }

    #portfolio-button-container div {
        overflow:hidden;
    }

        #contact-button-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: center;
    }

    #contact-button-container form{
        z-index: 1;
    }



    .contact-button {
        box-shadow: -30px 30px 200px rgb(255, 255, 255);
        display: flex;
        justify-content: center;
        margin-left: auto;
        margin-right: auto;
        font-size: 18px;
        font-weight: bold;
        background-color: rgba(255, 210, 225, 1);
        border: 0px none;
        padding: 15px 30px;
        transition: all 0.3s ease;
        margin-top: 30px;
        height: 65px;
    }

.contact-button div {
    display: flex;
    align-items: center;
}

        .contact-button:hover {
            background-color: rgb(234, 61, 126);
            color: white;
            cursor: pointer;
        }

        .contact-button:active {
            transition: all 0s;
            color: white;
        }

        .contact-button .contact-icon {
            filter: invert(0);
            transition: all 0.3s ease;
        }

        .contact-button:hover .contact-icon {
            filter: invert(1);
        }

        .contact-button .contact-text {
            filter: invert(0);
            transition: all 0.3s ease;
            height: 17px;
        }

        .contact-button:hover .contact-text {
            filter: invert(1);
        }

.contact-button.disabled {
    background-color: rgb(234, 61, 126);
    color: white;
}

    .contact-button.disabled .contact-icon {
        filter: invert(1);
    }

    .contact-button.disabled .contact-text {
        filter: invert(1);
    }

.mail-button {
    width: 100%;
    height: 100%;
    box-shadow: none;
    display: block;
    margin: 0;
}

.mail-button-2 {
    transition: all 0.1s ease, width 0.4s ease-in-out;
    height: 100%;
    width: 0;
    margin: 0;
    font-size: 18px;
    font-weight: bold;
    color: black;
    background-color: rgb(0 0 0 / 0.75);
    border: 0px none;
    padding: 0;
    position: absolute;
    z-index: 3;
    box-shadow: none;
    color: white;
    display: flex;
    align-items: center;
    overflow: hidden;
}

    .mail-button-2 div {
        display: flex;
        align-items: center;
        margin: auto;
        margin-left: 50px;
        margin-right: 70px;
    }
#right-mail-button {
    transform: translate(50%);
    flex-direction: row-reverse;
}

    #right-mail-button img {
        width: 32px;
    }

#left-mail-button {
        transform: translate(-50%);
    }

    #left-mail-button img {
        width: 25px;
    }

.mail-button-2:hover{
    background-color:black;
    cursor:pointer;
}

    .mail-button-2:hover .mail-icon {
        filter: none;
    }

    .mail-button-2:active{
        background-color:white;
        color:black;
    }

        .mail-button-2:active .mail-icon {
            filter: invert(1);
            transition: all 0.1s ease;
        }

.mail-icon {
    height: auto;
    display: inline-block;
    margin-right: 20px;
}

    .contact-icon {
    width: 35px;
    height: auto;
    display: inline-block;
    margin-right: 20px;
}


@media (max-width: 767px) {
    h1 {
        font-size: 30px;
    }

    sub {
    }

    p {
        font-size: 16px;
    }

    .logo {
        font-size: 20px;
        padding-inline: 30px;
    }

    nav li {
        margin-inline:10px;
    }


    header {
        overflow:visible;
        padding-left:10px;
        padding-right:0;
    }

    .header-button {
        white-space: normal;
        width: 170px;
    }


    .header-button-container ul {
        flex-direction: column;
        background-color: black;
        position: absolute;
        right: 0;
        top:50px;
        overflow: hidden;
        max-height: 0;
        transition: max-height ease-out 0.4s;
    }

    .header-button-container.open ul {
        max-height: 400px;
    }


    #section-1 {
        height: 100vh;
    }

    #section-1-container {
        padding-top: 0;
    }

    .header-image {
        align-self: center;
        display: block;
        margin: 0;
        height: 200px;
        margin-top: 69px;
    }

    .header-text {
        padding-left: 0;
        padding-top: 0;
    }

    .hamburger {
        display:block;
        width: 50px;
        height: 50px;
        background-color: transparent;
        border: 0px none;
        transition: all 0.3s ease;
        outline: none;
    }
        

        .hamburger:active {
            background-color: rgb(234, 61, 126);
        }

        .hamburger img:active {
            filter:invert(1);
        }

    .hamburger.disabled{
        pointer-events:none;
    }

    .section-1 h1 {
        margin-bottom: 20px;
    }

    .section-1 p {
        font-size: 20px;
        color: white;
    }

    #section-1-container {
        flex-direction: column;
    }

    #video-overlay {
        background-image: linear-gradient(0deg, rgb(255, 255, 255) 18%, rgba(255,255,255,0) 25%);
    }

    #section-2{
        padding-top:88vh;
    }

    .block {
        width: 95vw;
    }

    #block-1.text-container {
        width: 90%;
        margin-inline: auto;
    }

    .block .text-container {
        width: 90%;
        margin-inline: auto;
    }

    #portfolio-button-container {
        grid-template-columns: 1fr;
        height: 400px;
        margin: 0;
        grid-template-areas:
            "."
            "."
            "highlighted";
        transition: grid-row 0.5s ease;
    }

        #portfolio-button-container div {
            overflow: hidden;
            margin: 10px;
            transition: grid-row 0.5s ease;
        }

            #portfolio-button-container div.highlighted {
                grid-row: 3;
            }

        #portfolio-button-container button {
            width:100%;
            font-size: 23px;
            margin-inline:0;
        }

            #portfolio-button-container button:hover {
                background-color: black;
                color: white;
            }


    #portfolio-container {
        width: 400px;
    }

    #iframe-overlay {
        width: 400px;
    }

    #portfolio-container.portfolio-visible {
        height: 597px;
    }

    #iframe-overlay.portfolio-visible {
        height: 597px;
    }

    #iframe-container {
        width: 173%;
        height: 1500px;
        transform: scale(0.58);
        margin-top: -101px;
    }

    #iframe-overlay button {
        width: 50%;
        height: 33.3%;
    }

    .list-container{
        width:100%;
        min-width:0px;
    }

    .scroll-mark-container button:nth-child(n+5) {
        display: unset;
    }
    .horizontal-scroll-container {
    min-height:90vh;
    }

        .horizontal-scroll-container .list-box {
        scroll-snap-align: center;
        max-width: 85vw;
        width:100%
    }

    .horizontal-scroll-container .list-box:first-child {
        margin-left:50px;
    }

    .list-divider{
        display:none;
    }

    .horizontal-scroll-container .padding{
        display: none;
    }

    .scroll-mark-container button img {
        opacity:0.6;
    }

    .list-arrow {
        display:none;
    }

    #list-arrow-alt {
        display: block;
    }

        #list-arrow-alt.visible {
            opacity: 0.7;
        }

    .background-lines {
        top: 0;
        left: 0;
        height: 250px;
        opacity:0.75;
    }

    .background-grid {
        bottom: 0;
        right: 0;
        opacity: 0.6;
        width: 70px;
    }

}